package com.syc.slm.slmbi.service;

import com.sun.istack.NotNull;
import com.syc.slm.slmbi.dto.InstrumentPanelConfigDTO;
import com.syc.slm.slmbi.vo.InstrumentPanelConfigVo;

/**
 * slm-bi
 * 仪表板配置
 *
 * @author : lin
 * @date : 2021-03-25 15:10
 **/
public interface InstrumentPanelConfigService {

    /**
     * 根据仪表板id获取对应配置
     * @param instrumentPanelId
     * @return
     */
    InstrumentPanelConfigVo getConfigByPanelId(@NotNull String instrumentPanelId);
    /**
     * 保存发布仪表板配置
     * @param config
     * @return
     */
    String publish(InstrumentPanelConfigDTO config);
    /**
     * 保存仪表板配置
     * @param config
     * @return
     */
    String saveConfig(InstrumentPanelConfigDTO config);
}
